Show / Hide Table of Contents

# Class GuildProperties

Provides properties that are used to modify an IGuild with the specified changes.

##### Inheritance

System.Object
GuildProperties

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class GuildProperties

### Properties

| Improve this Doc View Source

#### AfkChannel

Gets or sets the IVoiceChannel where AFK users should be sent.

##### Declaration

    public Optional<IVoiceChannel> AfkChannel { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<IVoiceChannel> |

| Improve this Doc View Source

#### AfkChannelId

Gets or sets the ID of the IVoiceChannel where AFK users should be sent.

##### Declaration

    public Optional<ulong?> AfkChannelId { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.Nullable<System.UInt64>> |

| Improve this Doc View Source

#### AfkTimeout

Gets or sets how many seconds before a user is sent to AFK. This value MUST be one of: (60, 300, 900, 1800, 3600).

##### Declaration

    public Optional<int> AfkTimeout { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.Int32> |

| Improve this Doc View Source

#### Banner

Gets or sets the banner of the guild.

##### Declaration

    public Optional<Image?> Banner { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.Nullable<Image>> |

| Improve this Doc View Source

#### DefaultMessageNotifications

Gets or sets the default message notification state for the guild.

##### Declaration

    public Optional<DefaultMessageNotifications> DefaultMessageNotifications { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<DefaultMessageNotifications> |

| Improve this Doc View Source

#### ExplicitContentFilter

Gets or sets the explicit content filter level of this guild.

##### Declaration

    public Optional<ExplicitContentFilterLevel> ExplicitContentFilter { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<ExplicitContentFilterLevel> |

| Improve this Doc View Source

#### Icon

Gets or sets the icon of the guild.

##### Declaration

    public Optional<Image?> Icon { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.Nullable<Image>> |

| Improve this Doc View Source

#### Name

Gets or sets the name of the guild. Must be within 100 characters.

##### Declaration

    public Optional<string> Name { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.String> |

| Improve this Doc View Source

#### Owner

Gets or sets the owner of this guild.

##### Declaration

    public Optional<IUser> Owner { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<IUser> |

| Improve this Doc View Source

#### OwnerId

Gets or sets the ID of the owner of this guild.

##### Declaration

    public Optional<ulong> OwnerId { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.UInt64> |

| Improve this Doc View Source

#### PreferredCulture

Gets or sets the preferred locale of the guild.

##### Declaration

    public Optional<CultureInfo> PreferredCulture { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.Globalization.CultureInfo> |

##### Remarks

The PreferredLocale property takes precedence over this property. When PreferredLocale is set, the value of PreferredCulture will be unused.

| Improve this Doc View Source

#### PreferredLocale

Gets or sets the preferred locale of the guild in IETF BCP 47 language tag format.

##### Declaration

    public Optional<string> PreferredLocale { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.String> |

##### Remarks

This property takes precedence over PreferredCulture. When it is set, the value of PreferredCulture will not be used.

| Improve this Doc View Source

#### Region

Gets or sets the region for the guild's voice connections.

##### Declaration

    public Optional<IVoiceRegion> Region { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<IVoiceRegion> |

| Improve this Doc View Source

#### RegionId

Gets or sets the ID of the region for the guild's voice connections.

##### Declaration

    public Optional<string> RegionId { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.String> |

| Improve this Doc View Source

#### Splash

Gets or sets the guild's splash image.

##### Declaration

    public Optional<Image?> Splash { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.Nullable<Image>> |

##### Remarks

The guild must be partnered for this value to have any effect.

| Improve this Doc View Source

#### SystemChannel

Gets or sets the ITextChannel where system messages should be sent.

##### Declaration

    public Optional<ITextChannel> SystemChannel { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<ITextChannel> |

| Improve this Doc View Source

#### SystemChannelFlags

Gets or sets the flags that DISABLE types of system channel messages.

##### Declaration

    public Optional<SystemChannelMessageDeny> SystemChannelFlags { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<SystemChannelMessageDeny> |

##### Remarks

These flags are inverted. Setting a flag will disable that system channel message from being sent. A value of None will allow all system channel message types to be sent, given that the SystemChannelId has also been set. A value of GuildBoost will deny guild boost messages from being sent, and allow all other types of messages. Refer to the extension methods GetGuildBoostMessagesEnabled(IGuild) and GetWelcomeMessagesEnabled(IGuild) to check if these system channel message types are enabled, without the need to manipulate the logic of the flag.

| Improve this Doc View Source

#### SystemChannelId

Gets or sets the ID of the ITextChannel where system messages should be sent.

##### Declaration

    public Optional<ulong?> SystemChannelId { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.Nullable<System.UInt64>> |

| Improve this Doc View Source

#### VerificationLevel

Gets or sets the verification level new users need to achieve before speaking.

##### Declaration

    public Optional<VerificationLevel> VerificationLevel { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<VerificationLevel> |